Skip to navigation

Get Punch Detail Data

View as Markdown
Gets the punch detail data for the specified resource ID once the operation has succeeded.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired
resourceIdstringRequired

Headers

AcceptstringOptional

Query parameters

includeTotalCountbooleanOptional

When provided and set to true will cause the API to return the X-Pcty-Total-Count header in the response which will be set to the total number of resources available even if only a subset of those were returned. The default is false.

limitintegerOptional
The maximum number of resources to include in the response. The default is 25.
offsetintegerOptional
The number of resources to skip when returning paginated results. The default is 0.
sortstringOptional

A comma-separated, xpath-like formatting string that identifies the fields that you want the API to use for sorting the resources when they are returned. The default value can vary from API to API.

testFlagbooleanOptional
A Boolean value that, when set to "true", returns mock data.

Response

Successful response